openSUSE: 2022:0147-1 important: opera | LinuxSecurity.com

   openSUSE Security Update: Security update for opera
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2022:0147-1
Rating:             important
References:         
Cross-References:   CVE-2022-1633 CVE-2022-1634 CVE-2022-1635
                    CVE-2022-1636 CVE-2022-1637 CVE-2022-1638
                    CVE-2022-1639 CVE-2022-1640 CVE-2022-1641
                   
Affected Products:
                    openSUSE Leap 15.3:NonFree
______________________________________________________________________________

   An update that fixes 9 vulnerabilities is now available.

Description:

   This update for opera fixes the following issues:

   Update to 87.0.4390.25:

     - CHR-8870 Update chromium on desktop-stable-101-4390 to 101.0.4951.64
     - DNA-99209 Enable #easy-files-multiupload on all streams
     - DNA-99325 Use a preference to set number of recent searches and
       recently closed in unfiltered dropdown
     - DNA-99353 Translations for O87
     - DNA-99365 Adding title to the first category duplicates categories
       titles in the dropdown
     - DNA-99385 Feedback button in filtered dropdown can overlap with
       other web buttons for highlighted suggestion
     - DNA-99391 Add bookmarks at the bottom of a bookmarks bar folder
     - DNA-99491 Suggestion is not immediately removed form recent searches
       view in dropdown.
     - DNA-99501 Promote O87 to stable
     - DNA-99504 ???Switch to tab??? button is not aligned to the right for
       some categories in dropdown

   - The update to chromium 101.0.4951.64 fixes following issues:
     CVE-2022-1633, CVE-2022-1634, CVE-2022-1635, CVE-2022-1636,
     CVE-2022-1637, CVE-2022-1638, CVE-2022-1639, CVE-2022-1640, CVE-2022-1641

   - Complete Opera 87.0 changelog at:
     https://blogs.opera.com/desktop/changelog-for-87/

   - Update to 86.0.4363.59

     - DNA-99021 Crash in sidebar when extension of sidebar item was
       uninstalled
     - DNA-99359 Crash at opera::
       ContinueShoppingExpiredProductRemoverImpl::RemoveExpiredProducts()


   - Update to 86.0.4363.50

     - DNA-68493 Opera doesn???t close address field drop-down when dragging
       text from the address field
     - DNA-99003 Crash at views::Widget::GetNativeView() const
     - DNA-99133 BrowserSidebarWithProxyAuthTest.PreloadWithWebModalDialog
       fails
     - DNA-99230 Switching search engine with shortcut stopped working after
       DNA-99178
     - DNA-99317 Make history match appear on top

   - Update to 86.0.4363.32

     - DNA-98510 Blank icon in sidebar setup
     - DNA-98525 Unable to drag tab to far right
     - DNA-98893 Sound indicator is too precise in Google Meet
     - DNA-98919 Shopping corner internal API access update
     - DNA-98924 Tab tooltip gets stuck on screen
     - DNA-98981 Enable easy-files-multiupload on developer stream
     - DNA-99041 Move Shopping Corner to sidebar entry
     - DNA-99061 Enable #address-bar-dropdown-categories on all streams
     - DNA-99062 Create flag to show top sites and recently closed in
       unfiltered suggestions
     - DNA-99064 Hard to drag & drop current URL to a specific folder
       on bookmarks bar when unfiltered dropdown is displayed
     - DNA-99070 Make scroll button in Continue On scroll multiple items
     - DNA-99089 Shopping corner tab is not preserved after restart
     - DNA-99115 Request updating the Avro schema for sidebar event
     - DNA-99117 Make sure shopping corner is enabled by default
     - DNA-99178 Left/right not working in address bar dropdown
     - DNA-99204 Hide Shopping Corner by default


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:NonFree:

      zypper in -t patch openSUSE-2022-147=1



Package List:

   - openSUSE Leap 15.3:NonFree (x86_64):

      opera-87.0.4390.25-lp153.2.48.1


References:

   https://www.suse.com/security/cve/CVE-2022-1633.html
   https://www.suse.com/security/cve/CVE-2022-1634.html
   https://www.suse.com/security/cve/CVE-2022-1635.html
   https://www.suse.com/security/cve/CVE-2022-1636.html
   https://www.suse.com/security/cve/CVE-2022-1637.html
   https://www.suse.com/security/cve/CVE-2022-1638.html
   https://www.suse.com/security/cve/CVE-2022-1639.html
   https://www.suse.com/security/cve/CVE-2022-1640.html
   https://www.suse.com/security/cve/CVE-2022-1641.html

openSUSE: 2022:0147-1 important: opera

May 26, 2022
An update that fixes 9 vulnerabilities is now available

Description

This update for opera fixes the following issues: Update to 87.0.4390.25: - CHR-8870 Update chromium on desktop-stable-101-4390 to 101.0.4951.64 - DNA-99209 Enable #easy-files-multiupload on all streams - DNA-99325 Use a preference to set number of recent searches and recently closed in unfiltered dropdown - DNA-99353 Translations for O87 - DNA-99365 Adding title to the first category duplicates categories titles in the dropdown - DNA-99385 Feedback button in filtered dropdown can overlap with other web buttons for highlighted suggestion - DNA-99391 Add bookmarks at the bottom of a bookmarks bar folder - DNA-99491 Suggestion is not immediately removed form recent searches view in dropdown. - DNA-99501 Promote O87 to stable - DNA-99504 ???Switch to tab??? button is not aligned to the right for some categories in dropdown - The update to chromium 101.0.4951.64 fixes following issues: CVE-2022-1633, CVE-2022-1634, CVE-2022-1635, CVE-2022-1636, CVE-2022-1637, CVE-2022-1638, CVE-2022-1639, CVE-2022-1640, CVE-2022-1641 - Complete Opera 87.0 changelog at: https://blogs.opera.com/desktop/changelog-for-87/ - Update to 86.0.4363.59 - DNA-99021 Crash in sidebar when extension of sidebar item was uninstalled - DNA-99359 Crash at opera:: ContinueShoppingExpiredProductRemoverImpl::RemoveExpiredProducts() - Update to 86.0.4363.50 - DNA-68493 Opera doesn???t close address field drop-down when dragging text from the address field - DNA-99003 Crash at views::Widget::GetNativeView() const - DNA-99133 BrowserSidebarWithProxyAuthTest.PreloadWithWebModalDialog fails - DNA-99230 Switching search engine with shortcut stopped working after DNA-99178 - DNA-99317 Make history match appear on top - Update to 86.0.4363.32 - DNA-98510 Blank icon in sidebar setup - DNA-98525 Unable to drag tab to far right - DNA-98893 Sound indicator is too precise in Google Meet - DNA-98919 Shopping corner internal API access update - DNA-98924 Tab tooltip gets stuck on screen - DNA-98981 Enable easy-files-multiupload on developer stream - DNA-99041 Move Shopping Corner to sidebar entry - DNA-99061 Enable #address-bar-dropdown-categories on all streams - DNA-99062 Create flag to show top sites and recently closed in unfiltered suggestions - DNA-99064 Hard to drag & drop current URL to a specific folder on bookmarks bar when unfiltered dropdown is displayed - DNA-99070 Make scroll button in Continue On scroll multiple items - DNA-99089 Shopping corner tab is not preserved after restart - DNA-99115 Request updating the Avro schema for sidebar event - DNA-99117 Make sure shopping corner is enabled by default - DNA-99178 Left/right not working in address bar dropdown - DNA-99204 Hide Shopping Corner by default

 

Patch

Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.3:NonFree: zypper in -t patch openSUSE-2022-147=1


Package List

- openSUSE Leap 15.3:NonFree (x86_64): opera-87.0.4390.25-lp153.2.48.1


References

https://www.suse.com/security/cve/CVE-2022-1633.html https://www.suse.com/security/cve/CVE-2022-1634.html https://www.suse.com/security/cve/CVE-2022-1635.html https://www.suse.com/security/cve/CVE-2022-1636.html https://www.suse.com/security/cve/CVE-2022-1637.html https://www.suse.com/security/cve/CVE-2022-1638.html https://www.suse.com/security/cve/CVE-2022-1639.html https://www.suse.com/security/cve/CVE-2022-1640.html https://www.suse.com/security/cve/CVE-2022-1641.html


Severity
Announcement ID: openSUSE-SU-2022:0147-1
Rating: important
Affected Products: openSUSE Leap 15.3:NonFree . Affected Products: openSUSE Leap 15.3:NonFree .

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.